;copy write 1999 Samuel Stearley

#include "asm86.h"
#include "ti86asm.inc"
#include "ti86math.inc"
#include "ti86ops.inc"
#include "ti86abs.inc"


_Findsym	equ	46CBh
_make_real	equ	46EBh

.org _asm_exec_ram

Start:
	
	ld	hl,data		;source is variable col
	rst	20h			;move 10 bytes from hl to op1	
	rst	10h			;same as find system
	jr	nc,write_data	;it already exists so it does not need to be made
				
make_the_var:			;now to create the variable
	
	call	_make_real		;make the variable in memory
					;Op1 still has the nessassary data

write_data:
	ld	a,b			
	ex	de,hl			;get abs adress into ahl
	call	_load_ram_ahl	;loads the correct page and points hl to 
					;the data
	ex	de,hl			;need de to point to the data, for the 
					;_MOVFROP1 routine
	ld	a,(_penCol)		;get our number
	call	4613h			;turn contents of a into a fpt number in op1
					;get back the pointer to write data
	call	_MOVFROP1		;move the data to the variable
data:
	ret				;exits the program and because it is one byte
					;it can function as a space saver
 	.db	$03,"col"		
					;The $03 is the name legnth byte
					;The "col" is the name of the variable to create
.end
