;copy write 1999 Samuel Stearley

#include "asm86.h"
#include "ti86asm.inc"
#include "ti86math.inc"
#include "ti86ops.inc"
#include "ti86abs.inc"

.org _asm_exec_ram

	call	_runindicoff		;turn the run indicator off
start:
	call	_getkey			;test for key
	cp	kF5				;was it f5
	ret	z				;then return. this return will completely exit this sub 
						;program, but only if F5 was pressed
part1:
	call	_clrLCD			;clears the screen
	ld	hl,256*0+32			;row=0 col=32
	ld	(_penCol),hl		;ram buffer where the cordinates are stored
	ld	hl,line1			;address of zero termiated string
	call	_vputs			;displays the string
	call	loop				;subroutine that waits for the exit key to be 
						;pressed
part2:
	ld	hl,256*1+2			;row=2 col=1, note that for 7*5 font the row is 
	ld	(_curRow),hl		;added and the col is mltiplied by 256, but for 
	ld	hl,line2			;the other font this is reversed.
	call	_puts				;for more information on how the z80 writes to ram,
						;see delAtoZ.asm
	call	loop
part3:
	ld	hl,256*31+30		;row=31 col=30, the row is multiplied and the column
	ld	(_penCol),hl		;is added.
	ld	hl,line3
	call	_vputs	
	call	loop
part4:
	ld	hl,256*5+6
	ld	(_curRow),hl
	ld	hl,line4
	call	_puts	
loop:
	call	_getkey
	cp	kExit
	ret	z
	jr	loop

line1	.db "This was made by",0
line2	.db "The SECRET SERVICE",0
line3	.db "to defeat teachers",0
line4	.db "EveryWhere",0
.end
